import Vue from 'vue';

//地区选择
import VDistpicker from 'v-distpicker'
Vue.component('v-distpicker', VDistpicker)

//日期选择
import DatePicker from 'vue2-datepicker';
import 'vue2-datepicker/index.css';
import 'vue2-datepicker/locale/zh-cn';
Vue.component('date-picker',DatePicker)

//指标搜索浮动显示详情popover
import edbDetailPopover from '@/components/edbDetailPopover.vue';
Vue.component('edbDetailPopover',edbDetailPopover)

//指标添加 单位
import selectUnit from '@/components/selectUnit.vue'
Vue.component('selectUnit',selectUnit)

//查看指标历史
import edbHistoryDialog from '@/components/edbHistoryDialog.vue';
Vue.component('edbHistoryDialog',edbHistoryDialog);

/* 很多图表模块列表页基本类似 慢慢抽离替换 */
//列表
import chartListWrap from '@/components/chart/chartListWrap.vue'
Vue.component('chartListWrap',chartListWrap)

//详情图表操作
import chartDetailHandlesWrap from '@/components/chart/chartDetailHandlesWrap.vue'
Vue.component('chartHandlesWrap',chartDetailHandlesWrap)
